Subject: bug#71577: Some Images jobset lack artifacts

From: Vincent Legoll <[email-masked]>
Date: Mon, 24 Jun 2024 18:30:59 +0000

Hello Ludo,

On Mon, Jun 24, 2024 at 8:49 AM Ludovic Courtès <[email-masked]> wrote:

> Vincent Legoll <[email-masked]> skribis:
>
> > I wanted to try a fresh guix in a VM, but the "Download / Latest"
> > page (1) does not have the:
> > "QCOW2 virtual machine (VM) image"
> > "GNU Guix 1.4.0 QEMU Image"
> > that is available on the "Download / Standard" page (2)
>
> This is now fixed:
>
>   https://guix.gnu.org/en/download/latest/
>
> For the record, the problem was that we’d be removing GC roots too
> early, which was fixed here:
>
>
> https://git.savannah.gnu.org/cgit/guix/maintenance.git/commit/?id=489fc437c7b3aa0af41a40d6090eb4c51ced0028
>

Yes, I remember seeing some discussion about this.

But I tried to have a new look at :
https://guix.gnu.org/en/download/latest/

But with another browser, another computer, reloading the page in firefox,
or even forced reloading (CTRL+F5) I'm still not seeing the x86_64 qcow2.

Is there some propagation delay, or something on my side that is wrong ?

> > BTW, DL latest page also lacks checksum files to verify integrity.
>
> Since this process is automated, there cannot be a signature to verify
> the authenticity of those binaries (integrity is most likely verified
> indirectly via embedded checksums in the container formats).
>

That's why I spoke about checksum and not signatures, I'm not talking
about authenticity, but just about DL checking.

I don't really know if qcow has integrated checksums, but I doubt raw
image does. So I think this could still  have some usefulness.

Thanks

-- 
Vincent Legoll